# Change Log

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

<a name="2.1.0"></a>
# [2.1.0](https://github.com/drawnepicenter/leximaven/compare/v2.0.0...v2.1.0) (2017-01-09)


### Bug Fixes

* **tools:** move fs-extra to runtime deps ([95067ab](https://github.com/drawnepicenter/leximaven/commit/95067ab))


### Features

* **tools:** add functions from iloa ([35ceabd](https://github.com/drawnepicenter/leximaven/commit/35ceabd))



<a name="2.0.0"></a>
# [2.0.0](https://github.com/drawnepicenter/leximaven/compare/v1.2.0...v2.0.0) (2016-09-15)


### Bug Fixes

* **project:** proper HTTP error msg ([9eef640](https://github.com/drawnepicenter/leximaven/commit/9eef640))


### Features

* **project:** rename build dir to bin, simplify gulpfile, simplify command file and dir names ([208250e](https://github.com/drawnepicenter/leximaven/commit/208250e))


### BREAKING CHANGES

* project: See items listed in #12



<a name="1.2.0"></a>
# [1.2.0](https://github.com/drawnepicenter/leximaven/compare/v1.1.0...v1.2.0) (2016-08-26)


### Bug Fixes

* **wordnik:** remove url from outfile ([2dac4dc](https://github.com/drawnepicenter/leximaven/commit/2dac4dc)), closes [#8](https://github.com/drawnepicenter/leximaven/issues/8)


### Features

* **wordnik:** check for API key ([bbf9dab](https://github.com/drawnepicenter/leximaven/commit/bbf9dab))



<a name="1.1.0"></a>
# [1.1.0](https://github.com/drawnepicenter/leximaven/compare/v1.0.2...v1.1.0) (2016-08-26)


### Bug Fixes

* **rbrain:** Add timestamp expired msg to usage info ([422df3c](https://github.com/drawnepicenter/leximaven/commit/422df3c))


### Features

* **dmuse:** cached response won't decrement usage ([3973511](https://github.com/drawnepicenter/leximaven/commit/3973511))
* **onelook:** cached response won't decrement usage ([01bd9f0](https://github.com/drawnepicenter/leximaven/commit/01bd9f0))
* **rbrain:** cached response won't decrement usage ([613be73](https://github.com/drawnepicenter/leximaven/commit/613be73))
* **wordnik:** cached response won't decrement usage ([9783ea8](https://github.com/drawnepicenter/leximaven/commit/9783ea8))



<a name="1.0.2"></a>
## [1.0.2](https://github.com/drawnepicenter/leximaven/compare/v1.0.1...v1.0.2) (2016-08-19)


### Bug Fixes

* **CI:** remove strip-ansi require ([48efa39](https://github.com/drawnepicenter/leximaven/commit/48efa39))
* **cli-tests:** stringify error ([9c9932d](https://github.com/drawnepicenter/leximaven/commit/9c9932d))
* **config-init:** no more JSON stringify creating problems with babel-polyfill ([8a9dca8](https://github.com/drawnepicenter/leximaven/commit/8a9dca8)), closes [#6](https://github.com/drawnepicenter/leximaven/issues/6)



<a name="1.0.1"></a>
## [1.0.1](https://github.com/drawnepicenter/leximaven/compare/v1.0.0...v1.0.1) (2016-08-17)



<a name="1.0.0"></a>
# [1.0.0](https://github.com/drawnepicenter/leximaven/compare/v0.1.4...v1.0.0) (2016-08-17)


### Bug Fixes

* **CI:** don't test on 4.x or iojs ([7380d8c](https://github.com/drawnepicenter/leximaven/commit/7380d8c))
* **CI:** theme dir gets set correctly ([194e123](https://github.com/drawnepicenter/leximaven/commit/194e123))
* **onelook:** extract strings from arrays ([9e504d1](https://github.com/drawnepicenter/leximaven/commit/9e504d1)), closes [#4](https://github.com/drawnepicenter/leximaven/issues/4)
* **themes:** undefined/connector printing with label ([af53971](https://github.com/drawnepicenter/leximaven/commit/af53971))
* **urban:** addtl args don't include 'urban' ([ac11277](https://github.com/drawnepicenter/leximaven/commit/ac11277))
* **urban-hyphen:** incorrect labelling ([9388081](https://github.com/drawnepicenter/leximaven/commit/9388081))


### Features

* **tools:** arrToStr function ([1f5ea44](https://github.com/drawnepicenter/leximaven/commit/1f5ea44))


### BREAKING CHANGES

* CI: All changes listed in #5



<a name="0.1.4"></a>
## [0.1.4](https://github.com/drawnepicenter/leximaven/compare/v0.1.3...v0.1.4) (2016-08-03)


### Bug Fixes

* **project:** use repo dir or pkg dir ([f13cdd1](https://github.com/drawnepicenter/leximaven/commit/f13cdd1))



<a name="0.1.3"></a>
## [0.1.3](https://github.com/drawnepicenter/leximaven/compare/v0.1.2...v0.1.3) (2016-08-02)


### Bug Fixes

* **project:** package directory access ([2d60a1c](https://github.com/drawnepicenter/leximaven/commit/2d60a1c))



<a name="0.1.2"></a>
## [0.1.2](https://github.com/drawnepicenter/leximaven/compare/v0.1.1...v0.1.2) (2016-08-02)


### Bug Fixes

* **project:** add PKGDIR ([fb504d9](https://github.com/drawnepicenter/leximaven/commit/fb504d9))



<a name="0.1.1"></a>
## [0.1.1](https://github.com/drawnepicenter/leximaven/compare/v0.1.0...v0.1.1) (2016-08-01)


### Bug Fixes

* make glob a runtime dep ([c3b5afb](https://github.com/drawnepicenter/leximaven/commit/c3b5afb))



<a name="0.1.0"></a>
# 0.1.0 (2016-08-01)


### Bug Fixes

* **combine:** fix tofile ([df453fa](https://github.com/drawnepicenter/leximaven/commit/df453fa))
* **config:** init timestamps and verbose output ([85f86ec](https://github.com/drawnepicenter/leximaven/commit/85f86ec))
* **config-init:** Save remain for rate-limiting ([290986a](https://github.com/drawnepicenter/leximaven/commit/290986a))
* **config-init:** Saves remaing requests for rate-limiting ([7714a4f](https://github.com/drawnepicenter/leximaven/commit/7714a4f))
* **datamuse:** fix arg parsing ([5b153f3](https://github.com/drawnepicenter/leximaven/commit/5b153f3))
* **list-themes:** filepath str replace ([5180a76](https://github.com/drawnepicenter/leximaven/commit/5180a76))
* **origin:** fix output ([b656aaf](https://github.com/drawnepicenter/leximaven/commit/b656aaf))
* **origin:** fix tofile ([5b93352](https://github.com/drawnepicenter/leximaven/commit/5b93352))
* **project:** fix rate-limiting ([c13907a](https://github.com/drawnepicenter/leximaven/commit/c13907a))
* **project:** fix tests ([c9517e5](https://github.com/drawnepicenter/leximaven/commit/c9517e5))
* **project:** init before CI ([41e66f8](https://github.com/drawnepicenter/leximaven/commit/41e66f8))
* **project:** yargs install ([4402f7e](https://github.com/drawnepicenter/leximaven/commit/4402f7e))
* **rbrain-info:** remove maxResults ([d9736d4](https://github.com/drawnepicenter/leximaven/commit/d9736d4))
* **rbrain-rhyme:** parsing values ([2b342b0](https://github.com/drawnepicenter/leximaven/commit/2b342b0))
* **rhymebrain:** rate limiting output ([2a13efe](https://github.com/drawnepicenter/leximaven/commit/2a13efe))
* **rhymebrain:** rate-limiting and result output ([5b98c47](https://github.com/drawnepicenter/leximaven/commit/5b98c47))
* **rhymebrain:** remove debug console.log ([c82c8a0](https://github.com/drawnepicenter/leximaven/commit/c82c8a0))
* **urban:** fix args ([59877f8](https://github.com/drawnepicenter/leximaven/commit/59877f8))
* **wordmap:** change bin to build ([6b0ed9c](https://github.com/drawnepicenter/leximaven/commit/6b0ed9c))


### Features

* **dmuse:** add metrics, pull into subcmds ([e0b2483](https://github.com/drawnepicenter/leximaven/commit/e0b2483))
* **project:** datamuse subcmds and add rate-limiting ([94cb7f6](https://github.com/drawnepicenter/leximaven/commit/94cb7f6))
* **project:** url in serialized output file ([2fc81d8](https://github.com/drawnepicenter/leximaven/commit/2fc81d8))
* add api usage option ([67ff191](https://github.com/drawnepicenter/leximaven/commit/67ff191))
